package com.hai.dao;

import com.hai.entity.HighOilCard;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * mapper扩展类
 */
public interface HighOilCardMapperExt {

    @Insert({
            "<script>" +
            "insert into high_oil_card (" +
            "company_id, " +
            "company_name, " +
            "org_id," +
            "org_name, " +
            "card_no, " +
            "amount," +
            "amount_consume," +
            "contact_name, " +
            "contact_phone," +
            "status," +
            "bind_status, " +
            "create_time," +
            "update_time, " +
            "op_user_id, " +
            "op_user_name, " +
            "ext_1, " +
            "ext_2, " +
            "ext_3) " +
            "values " +
            "<foreach collection='list' item='item' index='index' separator=','>",
            "(#{item.companyId,jdbcType=BIGINT}, " +
            " #{item.companyName,jdbcType=VARCHAR}, " +
            " #{item.orgId,jdbcType=BIGINT}, " +
            " #{item.orgName,jdbcType=VARCHAR}," +
            " #{item.cardNo,jdbcType=VARCHAR}," +
            " #{item.amount,jdbcType=DECIMAL}, " +
            " #{item.amountConsume,jdbcType=DECIMAL}, " +
            " #{item.contactName,jdbcType=VARCHAR}," +
            " #{item.contactPhone,jdbcType=VARCHAR}, " +
            " #{item.status,jdbcType=INTEGER}," +
            " #{item.bindStatus,jdbcType=INTEGER}," +
            " #{item.createTime,jdbcType=TIMESTAMP}," +
            " #{item.updateTime,jdbcType=TIMESTAMP}, " +
            " #{item.opUserId,jdbcType=BIGINT}," +
            " #{item.opUserName,jdbcType=VARCHAR}, " +
            " #{item.ext1,jdbcType=VARCHAR}," +
            " #{item.ext2,jdbcType=VARCHAR}, " +
            " #{item.ext3,jdbcType=VARCHAR})",
            "</foreach>",
            "</script>"
    })
    void insertList(@Param(value = "list") List<HighOilCard> oilCardList);

}
